APPFEED.CGI(1)

NAME
appfeed.cgi - Xymon CGI feeder for Smartphone apps

SYNOPSIS
appfeed.cgi [options]

DESCRIPTION
appfeed.cgi is invoked as a CGI script via the appfeed.sh CGI wrapper.

appfeed.cgi is optionally passed a QUERY_STRING environment variable with the "filter=FILTER" parameter. FILTER is a filter for the "xymondboard" command sent to xymond(8) daemon. These filters are described in detail in the xymon(1) manual. Typically, the filter will specify hosts found on a specific (sub)page to be returned, e.g. "filter=page=webservers" will cause appfeed.cgi to only return hosts that are present on the "webservers" page in Xymon.

If no filter is specified, appfeed.cgi returns data for all red, yellow or purple statuses (equivalent to the data present on the "All non-green" page), or if invoked with the "--critical" option it returns data from the "Critical systems" page.

The output is an XML document with the current status of the selected hosts/services.

OPTIONS

--env=FILENAME
    Loads the environment from FILENAME before executing the CGI.

--critical[=FILENAME]
    FILENAME specifies the "Critical Systems" configuration file (default: critical.cfg). appfeed.cgi will only return the statuses currently on the "Critical Systems" view.

--access=FILENAME
    In addition to the filtering done by the "filter" parameter or the "--critical" option, this option limits the output to hosts that the user has access to as defined in the Apache-compatible group-definitions in FILENAME. See xymon-webaccess(5) for more details of this. Note: Use of this option requires that access to the appfeed.cgi tool is password-protected by whatever means your webserver software provides, and that the login userid is available via the REMOTE_USER environment variable (this is standard CGI behaviour, so all webservers should provide it if you use the webserver's built-in authentication mechanisms).

SEE ALSO
xymon(1), critical.cfg(5), xymon-webaccess(5)